Page MenuHomePhabricator

Local upload on Kannada Wikipedia
Closed, ResolvedPublic

Description

Currently Kannada Wikipedia (kn.wikipedia.org) does not have local upload option and files are uploaded on Commons. For this reason fair use images (such as low-resolution book cover, movie poster etc.) can not be used there. On 29 March a discussion started on Kannada Wikipedia Village pump.


Restrictions

Imagesless than 2MB, 24 bit color, less than 1000 x 1000 pixel
Audioless than 90 second, 44.1kHz, 192 kbps
Videoless than 90 seconds

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 20 2016, 5:41 AM

Thanks for reporting this!
What was the outcome of that discussion on Kannada Wikipedia Village pump?

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.
For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes - thanks!

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptApr 20 2016, 6:05 AM

What was the outcome of that discussion on Kannada Wikipedia Village pump?

  • Thanks @Aklapper for your quick reply. The editors agreed. It was also agreed for fair use image images less than 1000x1000 pixels will be permitted only.

Regards.

Dereckson added a subscriber: Dereckson.EditedApr 20 2016, 8:35 AM

The WMF licensing policy resolution requires you adopt an exemption doctrine policy, in short EDP.

This EDP must satisfy US law, but also "the law of countries where the project content is predominantly accessed". In your case, exceptions must so also comply with the fair dealing Indian notion.

You have to write a policy, then add a link to it on the https://meta.wikimedia.org/wiki/Non-free_content#Wikipedia table.

To write a policy compliant with Indian law, I'd suggest you ask your community legal experts to review Sandeep Kanak Rathod, Fair Use: Comparing US and Indian Copyright Law, JURIST, 2012.

When you'll have discussed seriously and deeply the possibility of an EDP on a wiki predominantly accessed where the Indian law is applicable, if you found it's possible to adopt one, we'll then enable local uploads.

jayvdb added a subscriber: jayvdb.Apr 20 2016, 8:36 AM
Sipun added a subscriber: Sipun.Jun 4 2016, 8:10 PM

We the community members have prepared the policy, you can have a look in this link-https://kn.wikipedia.org/s/1irj

@Ananthsubray Could you link to the discussions you had to write this policy, and then the discussion to adopt it as policy?

I'm puzzled about the page history: there is no modification, only a page move.

The document seems a translation of en:Wikipedia:Image use policy, doesn't it? This is not an EDP…

Okay so I've three objections to the current document:

1. The document you translated is NOT an EDP

The document seems a translation of en:Wikipedia:Image use policy, doesn't it? This is not an EDP…

2. You need to create a specific EDP for Indian copyright laws, not translate the en. one

The EDP must comply both to US and Indian laws, so translate the en. one won't work. As I said before, there is a good article about the difference between US and Indian law you can use:

This EDP must satisfy US law, but also "the law of countries where the project content is predominantly accessed". In your case, exceptions must so also comply with the fair dealing Indian notion.
...
To write a policy compliant with Indian law, I'd suggest you ask your community legal experts to review Sandeep Kanak Rathod, Fair Use: Comparing US and Indian Copyright Law, JURIST, 2012.

3. The discussions must show a grasp of understanding of these issues by the community.

Current discussions links don't show any question, remark, comment, only stamp of approvals.

Dereckson changed the task status from Open to Stalled.Jul 9 2016, 11:33 AM

[ Mark as stalled as a community process is required to proceed. ]

1. The document you translated is NOT an EDP

The document seems a translation of en:Wikipedia:Image use policy, doesn't it? This is not an EDP…

maybe ವಿಕಿಪೀಡಿಯ:Non-free content or ವಿಕಿಪೀಡಿಯ:Non-free content criteria?

That seems like a copy of the enwiki policy. I have to wonder if the editors of the enwiki page have been attributed and whether the policy complies with fair dealing - the enwiki policy is based on US fair use which is broader in scope than Indian fair dealing.

Proposing to decline as T133137#2388974 and T133137#2491689 have not been addressed yet by @Titodutta. :(

@Aklapper I'll check this and will see if we can solve these issues soon.

@Aklapper an update, we are working on it. Some works have already been done. Just now we conducted an IRC session to discuss some issues.

we are working on it. Some works have already been done.

@Titodutta: Any specific updates to share regarding T133137#2388974 and T133137#2491689 ?

Policy page is drafted and its under community review, I will get back to you as soon as the community review get over

@Aklapper the policy page has been prepared, you can see in the following link https://kn.wikipedia.org/s/1mdf.

@Aklapper : Any further update on this ? Policy page is created in https://kn.wikipedia.org/s/1mdf

If someone thinks that the current situation is suitable, someone (not me) could go ahead and prepare a configuration change.

@Prashasti_P Could you address the previous concerns given at T133137#2388974 and T133137#2491689?

@Prashasti_P: Please reply to the previous comment - thanks!

Yes. The fair use policy (non-free content) has been created and the page is here - https://kn.wikipedia.org/s/1iqz. It defines many parameters related to fair use policy and local uploading of images, audio and video files. This page is linked to the main page where all policies are listed here - https://kn.wikipedia.org/s/1iqv

I request to enable local file upload to Kannada Wikipedia.

The rules -

  • Images - less than 2MB, 24 bit color, less than 1000 x 1000 pixel
  • Audio - less than 90 second, 44.1kHz, 192 kbps
  • Videos - less than 90 seconds

Thanks for the update.

Could you summarize the differences between let's say the English Wikipedia fair use and the one you've drafted? (for example the Indian laws points you've taken in acccount)

Indian copyright law has been considered. It is linked from the FUP page

Okay, all looks in order.

Restrictions will need to be enforced socially, as we don't have tools to reject long audio/video uploads for example.

Dereckson updated the task description. (Show Details)Apr 9 2017, 12:22 AM
Dereckson updated the task description. (Show Details)
DatGuy added a subscriber: DatGuy.Apr 10 2017, 2:28 PM

Is this still stalled?

Urbanecm added a subscriber: Urbanecm.EditedApr 10 2017, 2:31 PM

Restrictions will need to be enforced socially, as we don't have tools to reject long audio/video uploads for example.

Abusefilter? Or did you mean config side tool?

Is this still stalled?

I don't think so.

In T133137#3166421, @Dereckson wrote:
Restrictions will need to be enforced socially, as we don't have tools to reject long audio/video uploads for example.

Abusefilter? Or did you mean config side tool?

I believe Dereckson means that there isn't an option at CommonSettings/InitialiseSettings that cancels specific upload length.

Also, may I claim this task? Did anyone else want to?

Dereckson assigned this task to DatGuy.Apr 13 2017, 9:16 AM

Yes that what I meant for IS/CS. You can do it, sure.

Yes that what I meant for IS/CS. You can do it, sure.

Now what is holding this task?

Dereckson removed DatGuy as the assignee of this task.Apr 26 2017, 12:02 PM

Well nothing, I was under the impression DatGuy wanted to prepare config, but let's mark it unassigned so the person writing the config, DatGuy or anyone else can reassign it to theirself.

Change 350439 had a related patch set uploaded (by DatGuy):
[operations/mediawiki-config@master] Enable local uploads on knwiki

https://gerrit.wikimedia.org/r/350439

Sorry, I forgot this task existed. Pavanaja, I could make my bot attempt to enforce these restrictions through API queries if you'd like.

Dereckson assigned this task to DatGrey.EditedApr 26 2017, 4:32 PM

@Pavanaja Don't forget to add a new entry for kn to https://meta.wikimedia.org/wiki/EDP

Sorry, I forgot this task existed. Pavanaja, I could make my bot attempt to enforce these restrictions through API queries if you'd like.

I have no issues with that

DatGuy claimed this task.Apr 26 2017, 4:36 PM
DatGuy added a subscriber: DatGrey.

Wrong person :). Pavanaja, email me through meta if you want more details.

DatGuy changed the task status from Stalled to Open.Apr 26 2017, 4:36 PM
DatGuy triaged this task as Normal priority.
DatGuy moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.

@Pavanaja Don't forget to add a new entry for kn to https://meta.wikimedia.org/wiki/EDP

Done

Change 350439 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable local uploads on knwiki

https://gerrit.wikimedia.org/r/350439

Mentioned in SAL (#wikimedia-operations) [2017-04-26T18:23:01Z] <thcipriani@naos> Synchronized dblists/commonsuploads.dblist: SWAT: [[gerrit:350439|Enable local uploads on knwiki]] T133137 (duration: 01m 06s)

DatGuy closed this task as Resolved.Apr 26 2017, 6:23 PM